> For the complete documentation index, see [llms.txt](https://docs.empe.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.empe.io/empe-blockchain/overview/full-state-sync-from-archive-snapshot.md).

# Full state sync from archive snapshot

If a node needs a full state history but wants to synchronize faster, it can start the chain from a history snapshot, (updated daily).

Find the most recent state snapshot on the list <https://archive-testnet.empe.io/full_backup/>

Available snapshots:

```
../
empe-chain-1_2025-03-17.tar                        17-Mar-2025 04:39    756G
empe-chain-1_2025-03-18.tar                        18-Mar-2025 04:29    762G
```

The latest snapshot is always preferable as it contains the most up-to-date state.

## Download and install the full snapshot

```bash
# Set the snapshot file name
ARCHIVE=empe-chain-1_2025-03-18.tar

# Download the snapshot
curl -O https://archive-testnet.empe.io/full_backup/$ARCHIVE

# Extract the snapshot to your data directory
tar -xvf $ARCHIVE -C ~/.empe-chain/data

# Clean up the downloaded archive
rm $ARCHIVE
```

## Download and install address book

For faster peer discovery, you can also download the latest address book:

```bash
# Download the latest address book
wget -O $HOME/.empe-chain/config/addrbook.json "https://raw.githubusercontent.com/111STAVR111/props/main/Empeiria/addrbook.json"
```

This will help your node connect to peers more quickly and reduce the time needed for initial network discovery.

## Start your node

After installing the snapshot and address book, you can start your chain using cosmovisor.

## Alternative option

If you need a smaller snapshot size, consider using a lite snapshot instead: <https://archive-testnet.empe.io/lite_backup/>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.empe.io/empe-blockchain/overview/full-state-sync-from-archive-snapshot.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
